Package com.evopdf

# Class TextNoteElement

java.lang.Object
com.evopdf.PageElement
com.evopdf.TextNoteElement

public class TextNoteElement extends PageElement
Represents a text annotation in the PDF page

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextNoteElement(RectangleFloat linkRectangle, String text)`
  Constructs a text note element

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RectangleFloat`
  `linkRectangle()`
  Gets the text note element rectangle in PDF page
  `TextNoteIcon`
  `noteIcon()`
  Gets the text note icon in PDF document
  `boolean`
  `open()`
  Gets the default annotation status
  `void`
  `setLinkRectangle(RectangleFloat linkRectangle)`
  Sets the text note element rectangle in PDF page
  `void`
  `setNoteIcon(TextNoteIcon icon)`
  Sets the text note icon in PDF document
  `void`
  `setOpen(boolean open)`
  Sets the default annotation status.
  `void`
  `setText(String text)`
  Sets the annotation text
  `String`
  `text()`
  Gets the annotation text

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextNoteElement

    public TextNoteElement(RectangleFloat linkRectangle, String text)
    Constructs a text note element
    Parameters:
      `linkRectangle` - The link rectangle in page
      `text` - The text annotation

- ## Method Details

  - ### linkRectangle

    public RectangleFloat linkRectangle()
    Gets the text note element rectangle in PDF page
    Returns:
      the text note element rectangle in PDF page

  - ### setLinkRectangle

    public void setLinkRectangle(RectangleFloat linkRectangle)
    Sets the text note element rectangle in PDF page
    Parameters:
      `linkRectangle` - the text note element rectangle in PDF page

  - ### text

    public String text()
    Gets the annotation text
    Returns:
      the annotation text

  - ### setText

    public void setText(String text)
    Sets the annotation text
    Parameters:
      `text` - the annotation text

  - ### open

    public boolean open()
    Gets the default annotation status
    Returns:
      the default annotation status

  - ### setOpen

    public void setOpen(boolean open)
    Sets the default annotation status. Default value is false and the annotation is closed
    Parameters:
      `open` - the default annotation status

  - ### noteIcon

    public TextNoteIcon noteIcon()
    Gets the text note icon in PDF document
    Returns:
      the text note icon in PDF document

  - ### setNoteIcon

    public void setNoteIcon(TextNoteIcon icon)
    Sets the text note icon in PDF document
    Parameters:
      `icon` - the text note icon in PDF document